# H235_CryptoToken Class Reference

`#include <h235.h>`

List of all members.

## Public Types

enum | Choices { e_cryptoEncryptedToken, e_cryptoSignedToken, e_cryptoHashedToken, e_cryptoPwdEncr }

## Public Member Functions

| H235_CryptoToken (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H235_CryptoToken_cryptoEncryptedToken & ()
| operator const H235_CryptoToken_cryptoEncryptedToken & () const
| operator H235_CryptoToken_cryptoSignedToken & ()
| operator const H235_CryptoToken_cryptoSignedToken & () const
| operator H235_CryptoToken_cryptoHashedToken & ()
| operator const H235_CryptoToken_cryptoHashedToken & () const
| operator H235_ENCRYPTED ()
| operator const H235_ENCRYPTED () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H235_CryptoToken::Choices

Enumerator:

  e_cryptoEncryptedToken |
  e_cryptoSignedToken |
  e_cryptoHashedToken |
  e_cryptoPwdEncr |

## Constructor & Destructor Documentation

H235_CryptoToken::H235_CryptoToken | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H235_CryptoToken::operator H235_CryptoToken_cryptoEncryptedToken & | ( |  | ) |

H235_CryptoToken::operator const H235_CryptoToken_cryptoEncryptedToken & | ( |  | ) | const

H235_CryptoToken::operator H235_CryptoToken_cryptoSignedToken & | ( |  | ) |

H235_CryptoToken::operator const H235_CryptoToken_cryptoSignedToken & | ( |  | ) | const

H235_CryptoToken::operator H235_CryptoToken_cryptoHashedToken & | ( |  | ) |

H235_CryptoToken::operator const H235_CryptoToken_cryptoHashedToken & | ( |  | ) | const

H235_CryptoToken::operator H235_ENCRYPTED | ( |  | ) |

H235_CryptoToken::operator const H235_ENCRYPTED | ( |  | ) | const

PBoolean H235_CryptoToken::CreateObject | ( |  | ) |

PObject* H235_CryptoToken::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h235.h